<script>
  import { json } from 'd3-fetch';
  import { onMount } from 'svelte';
  import Plot from './_design_2_plot.svelte';
  // Size and margins
  const width = 600;
  const height = 250;
  const margin = { top: 10, right: 10, bottom: 10, left: 10 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  const cities = ['Baltimore', 'Chicago', 'Los Angeles'];

  let datapoints = null;
  onMount(async () => {
      datapoints = await json('/data/daily_heating_cooling.json');
      
    });
</script>

{#if !datapoints}
  <p>Loading the data, please wait...</p>
{:else}
<svg {width} {height}>
  <g transform="translate({margin.left}, {margin.top})">
    {#each cities as c, i}
    <g transform='translate({innerWidth*i/3+5}, 0)'>
     <circle cx={innerWidth/3-100} cy={innerHeight/2} r=70 fill=none stroke='black' />
     <line x1={innerWidth/3-170} y1={innerHeight/2} x2={innerWidth/3-30} y2={innerHeight/2} stroke='black'/>
     <line x1={innerWidth/3-100} y1={innerHeight/3+110} x2={innerWidth/3-100} y2={innerHeight/3-30} stroke='black'/>
     <text x={innerWidth/3-105} y={innerHeight/3-35}>0</text>
     <text x={innerWidth/3-25} y={innerHeight/2+5}>3</text>
     <text x={innerWidth/3-105} y={innerHeight/3+125}>6</text>
     <text x={innerWidth/3-185} y={innerHeight/2+5}>9</text>
     <g transform='translate({innerWidth/3-100},{innerHeight/2} )'>
      <Plot data={datapoints} city={c}/>
     </g>
     <text transform='translate(60,20)'>{c}</text>
    </g>
    {/each}
    <!-- <path d='M 120,40 C 130,45 140,50 160 70' >&rarr</path> -->
    <text transform='translate(130, 40) rotate(35)'>month &#8600</text>
    

  </g>
  <text transform='translate(1,{margin.top+10})' class='heating'>Heating</text>
  <text transform='translate(1,{margin.top+30})'class='cooling'>Cooling</text>
  <text class='title' transform='translate({innerWidth/3-40},{innerHeight})'>Design 2: Heating and cooling within a year</text>
</svg>
{/if}

<style>
  svg {
    border: 1px solid black;
    border-radius: 5px;
  }
  .heating{
    fill:red;

  }
  .cooling{
    fill: steelblue;
  }
  .title{
    font-style: italic;
  }

</style>
